globus_gsi_gss_requested_context_flags(3)

NAME
globus_gsi_gss_requested_context_flags - Request Flags

 - Request Flags.

SYNOPSIS

  Macros

#define GSS_C_GLOBUS_DONT_ACCEPT_LIMITED_PROXY_FLAG
No limited proxy flag.
#define GSS_C_GLOBUS_DELEGATE_LIMITED_PROXY_FLAG
Delegate Limited Proxy Flag.
#define GSS_C_GLOBUS_ACCEPT_PROXY_SIGNED_BY_LIMITED_PROXY_FLAG
Accept Proxy Signed By Limited Proxy Flag.
#define GSS_C_GLOBUS_ALLOW_MISSING_SIGNING_POLICY
Allow Missing Signing Policy Flag.
#define GSS_C_GLOBUS_FORCE_SSL3
Force SSLv3 Flag.

Detailed Description

Request Flags.

These macros set the REQUESTED type of context - these should be set (or not) in the context's req_flags (or in the context's ret_flags if accept_sec_context is being called)

Macro Definition Documentation

  #define GSS_C_GLOBUS_ACCEPT_PROXY_SIGNED_BY_LIMITED_PROXY_FLAG

Accept Proxy Signed By Limited Proxy Flag. Set if you want to accept proxies signed by limited proxies

  #define GSS_C_GLOBUS_ALLOW_MISSING_SIGNING_POLICY

Allow Missing Signing Policy Flag. Set if you want to allow CA certs without a signing policy to verify.

  #define GSS_C_GLOBUS_DELEGATE_LIMITED_PROXY_FLAG

Delegate Limited Proxy Flag. Set if you want the delegated proxy to be a limited proxy

  #define GSS_C_GLOBUS_DONT_ACCEPT_LIMITED_PROXY_FLAG

No limited proxy flag. Set if you don't want a context to accept a limited proxy. If this flag is set, and a limited proxy is received, the call will not be successful and the context will not be set up

  #define GSS_C_GLOBUS_FORCE_SSL3

Force SSLv3 Flag. Set if you want to force SSLv3 instead of negotiating TLSv1 or SSLv3

Author

Generated automatically by Doxygen for globus_gssapi_gsi from the source code.